Namespace
library
Image / Tag
openjdk:20-ea-13
Content Digest
sha256:6a659de77bf12aaf546ab47297b731064ebdc9bc44e4368a105e4de3d222c0bb
Details
Created

2022-09-01 23:29:12 UTC

Size

237 MB

Content Digest
Environment
JAVA_HOME

/usr/java/openjdk-20

JAVA_VERSION

20-ea+13

LANG

C.UTF-8

PATH

/usr/java/openjdk-20/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:492d84e496ea03370b8fb5b989ff003b89c51a2f037216835b8b3f93dcc4d405 - 15.88% (37.7 MB)

[#001] sha256:f7d74542bd1abb51e0ea04904a65559d263d7f85b016fcbd81a65768553957ae - 4.92% (11.7 MB)

[#002] sha256:80dfe48da11470c247fa981273c806df609902ffe35aeeabcf10e087cb6c96a0 - 79.21% (188 MB)


History
2022-08-30 21:20:34 UTC

/bin/sh -c #(nop) ADD file:94f0ad5f0805806df710f02659592b7a0ee14643d54d40f0dca144e16c2c69ec in /

2022-08-30 21:20:34 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2022-08-30 21:47:35 UTC

/bin/sh -c set -eux; microdnf install gzip tar binutils freetype fontconfig ; microdnf clean all

2022-08-30 21:47:35 UTC

/bin/sh -c #(nop) ENV JAVA_HOME=/usr/java/openjdk-20

2022-08-30 21:47:35 UTC

/bin/sh -c #(nop) ENV PATH=/usr/java/openjdk-20/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2022-08-30 21:47:35 UTC

/bin/sh -c #(nop) ENV LANG=C.UTF-8

2022-09-01 23:28:48 UTC

/bin/sh -c #(nop) ENV JAVA_VERSION=20-ea+13

2022-09-01 23:29:11 UTC

/bin/sh -c set -eux; arch="$(objdump="$(command -v objdump)" && objdump --file-headers "$objdump" | awk -F '[:,]+[[:space:]]+' '$1 == "architecture" { print $2 }')"; case "$arch" in 'i386:x86-64') downloadUrl='https://download.java.net/java/early_access/jdk20/13/GPL/openjdk-20-ea+13_linux-x64_bin.tar.gz'; downloadSha256='93758735b85b0f9e8a98728ad636942bcf266476824286754fe6dbd2a2f6aeff'; ;; 'aarch64') downloadUrl='https://download.java.net/java/early_access/jdk20/13/GPL/openjdk-20-ea+13_linux-aarch64_bin.tar.gz'; downloadSha256='305cd60ab947992620abe377f9d1fe876c6a80db3fab369a8cb5517edbfc30be'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; rm -rf "$JAVA_HOME/lib/security/cacerts"; ln -sT /etc/pki/ca-trust/extracted/java/cacerts "$JAVA_HOME/lib/security/cacerts"; ln -sfT "$JAVA_HOME" /usr/java/default; ln -sfT "$JAVA_HOME" /usr/java/latest; for bin in "$JAVA_HOME/bin/"*; do base="$(basename "$bin")"; [ ! -e "/usr/bin/$base" ]; alternatives --install "/usr/bin/$base" "$base" "$bin" 20000; done; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version

2022-09-01 23:29:12 UTC

/bin/sh -c #(nop) CMD ["jshell"]

Details
Created

2022-09-01 22:16:04 UTC

Size

2.34 GB

Content Digest
Environment
JAVA_HOME

C:\openjdk-20

JAVA_SHA256

86fbf86f901c1a13cedb0c5315184fb4d2064077508493e68d4236e3ac9592f8

JAVA_URL

https://download.java.net/java/early_access/jdk20/13/GPL/openjdk-20-ea+13_windows-x64_bin.zip

JAVA_VERSION

20-ea+13


Layers

[#000] sha256:97f65a0ec59e643faf84024aa713a9be059322380315fda829756bbbd96d6258 - 57.22% (1.34 GB)

[#001] sha256:97b25a378238b615dc51216c4d87ce17fd3cc3dca9db458e8705d1a4c17e3bb7 - 35.05% (839 MB)

[#002] sha256:4a5e3787c778295a5877e0381020b02273a985f7db2dd483ddff586869546e4c - 0.0% (1.39 KB)

[#003] sha256:1f0cc935c154780815cf1fb6065aa1c262b52a7648b984b06133beb4e95833c0 - 0.02% (610 KB)

[#004] sha256:43525a703370320083aa7f64beeb4176b2090f555b73f9be7f9cb9fbda9f5736 - 0.0% (1.39 KB)

[#005] sha256:cf27aca426cd52616bfeb5296c1b75f2095211cf6c91d27a306c654522f65a32 - 0.02% (544 KB)

[#006] sha256:974c8a9ec959bd38f26660806c37a0dbf275a27a2d8c9fbe722e266515e700a2 - 0.0% (1.38 KB)

[#007] sha256:c71e1463fd09119acdc11c3f980175259de82e78f7908ed59786b77fb5efab16 - 0.0% (1.39 KB)

[#008] sha256:4fc9248b8fd06d17c0ea3299cb7b13fa8374129c08d109f18e4b0b889a08355b - 0.0% (1.39 KB)

[#009] sha256:7e96c3f81bfe5e6f58c49f8ff7f03ce2744074dd68afbbca54c62c1e551fde5f - 7.68% (184 MB)

[#010] sha256:5e3c3d85024d51767d800fe777a67a363d95e020728367ca3b5250c578fefcc3 - 0.0% (1.39 KB)


History
2022-04-22 01:12:09 UTC

Apply image 10.0.20348.643

2022-08-06 02:59:35 UTC

Install update 10.0.20348.887

2022-08-10 12:11:45 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]

2022-08-10 16:55:00 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host 'Enabling TLS 1.2 (https://githubengineering.com/crypto-removal-notice/) ...'; $tls12RegBase = 'HKLM:\\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.2'; if (Test-Path $tls12RegBase) { throw ('"{0}" already exists!' -f $tls12RegBase) }; New-Item -Path ('{0}/Client' -f $tls12RegBase) -Force; New-Item -Path ('{0}/Server' -f $tls12RegBase) -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; Write-Host 'Complete.'

2022-08-10 16:55:00 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-20

2022-08-10 16:55:20 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath; Write-Host 'Complete.'

2022-09-01 22:15:06 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=20-ea+13

2022-09-01 22:15:07 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL=https://download.java.net/java/early_access/jdk20/13/GPL/openjdk-20-ea+13_windows-x64_bin.zip

2022-09-01 22:15:08 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_SHA256=86fbf86f901c1a13cedb0c5315184fb4d2064077508493e68d4236e3ac9592f8

2022-09-01 22:16:03 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:JAVA_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:JAVA_URL -OutFile 'openjdk.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:JAVA_SHA256); if ((Get-FileHash openjdk.zip -Algorithm sha256).Hash -ne $env:JAVA_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' javac --version'; javac --version; Write-Host ' java --version'; java --version; Write-Host 'Complete.'

2022-09-01 22:16:04 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["jshell"]

Details
Created

2022-09-01 22:18:08 UTC

Size

2.67 GB

Content Digest
Environment
JAVA_HOME

C:\openjdk-20

JAVA_SHA256

86fbf86f901c1a13cedb0c5315184fb4d2064077508493e68d4236e3ac9592f8

JAVA_URL

https://download.java.net/java/early_access/jdk20/13/GPL/openjdk-20-ea+13_windows-x64_bin.zip

JAVA_VERSION

20-ea+13


Layers

[#000] sha256:b111c3320c949bea81612bf4554f1b6592c2f504920b5bf57ba340a1d4d52c93 - 65.38% (1.75 GB)

[#001] sha256:294d77ac553d7210b662d07674ef9e39a6c2e88dc15b9d2788d51e509bc8b54e - 27.88% (763 MB)

[#002] sha256:d64f32398ff5e4ac4cbab317ffed87a2fbf4e4a37210284dba19f2929d631a95 - 0.0% (1.4 KB)

[#003] sha256:7f9df80b59d75310c5b623001e9a6fefa8c2f0255dfbb8c58e60daa3aba0f9c6 - 0.01% (339 KB)

[#004] sha256:a313f85e8b9975fcba0bc4920f5caf6d1aca17b778349b49c87d1633e7ae60eb - 0.0% (1.39 KB)

[#005] sha256:448a04775e0e1c17f4166d28a03de82719ce659ec910523df8a06c97c94a7d3b - 0.01% (302 KB)

[#006] sha256:71ec0739572d04453225f7333d6e70bdc831eeb8445b9de14d027328c23712db - 0.0% (1.37 KB)

[#007] sha256:538ed8a85fd6d4b0e9fc4e91ec2203e577e0b2caa4fad9b89b708de1fe850bec - 0.0% (1.39 KB)

[#008] sha256:6cbf9de68559220d2b5043af1614ba080c7f93a23d62f5bbd906934b6d7afd57 - 0.0% (1.39 KB)

[#009] sha256:09c096b80e80beb6d867ca8660ee44de2fcd201bdf603d2832c66a60e0e1e502 - 6.71% (184 MB)

[#010] sha256:ad26ed4ba782d7affbad0bf0d5986ed3788c911207c15ad9448e460a141e3c12 - 0.0% (1.37 KB)


History
2022-04-22 01:27:13 UTC

Apply image 10.0.17763.2803

2022-08-06 18:30:32 UTC

Install update 10.0.17763.3287

2022-08-10 12:16:16 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]

2022-08-10 16:57:20 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host 'Enabling TLS 1.2 (https://githubengineering.com/crypto-removal-notice/) ...'; $tls12RegBase = 'HKLM:\\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.2'; if (Test-Path $tls12RegBase) { throw ('"{0}" already exists!' -f $tls12RegBase) }; New-Item -Path ('{0}/Client' -f $tls12RegBase) -Force; New-Item -Path ('{0}/Server' -f $tls12RegBase) -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; Write-Host 'Complete.'

2022-08-10 16:57:21 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-20

2022-08-10 16:58:18 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath; Write-Host 'Complete.'

2022-09-01 22:16:20 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=20-ea+13

2022-09-01 22:16:21 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL=https://download.java.net/java/early_access/jdk20/13/GPL/openjdk-20-ea+13_windows-x64_bin.zip

2022-09-01 22:16:22 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_SHA256=86fbf86f901c1a13cedb0c5315184fb4d2064077508493e68d4236e3ac9592f8

2022-09-01 22:18:07 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:JAVA_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:JAVA_URL -OutFile 'openjdk.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:JAVA_SHA256); if ((Get-FileHash openjdk.zip -Algorithm sha256).Hash -ne $env:JAVA_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' javac --version'; javac --version; Write-Host ' java --version'; java --version; Write-Host 'Complete.'

2022-09-01 22:18:08 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["jshell"]

Details
Created

2022-09-02 00:42:54 UTC

Size

236 MB

Content Digest
Environment
JAVA_HOME

/usr/java/openjdk-20

JAVA_VERSION

20-ea+13

LANG

C.UTF-8

PATH

/usr/java/openjdk-20/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:fe1dbcd3b09e2c1e850118728988d6907b2f43969fe81443f422984829c640ce - 15.51% (36.5 MB)

[#001] sha256:b43dbff7ac899e8f3413a3849ac2dcb6c61d52e9763a3cf5bc4c38d1e823fa3a - 5.28% (12.4 MB)

[#002] sha256:6e670273c499cd84f6c0c90595bf95459f1826241e30e992325d4218cec46121 - 79.21% (187 MB)


History
2022-08-30 20:47:49 UTC

/bin/sh -c #(nop) ADD file:4f53d93ae4bccd786d6beda6f0ec4a450fd23a8fff2786d9e5b024a64aad6bb1 in /

2022-08-30 20:47:50 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2022-08-30 21:08:02 UTC

/bin/sh -c set -eux; microdnf install gzip tar binutils freetype fontconfig ; microdnf clean all

2022-08-30 21:08:03 UTC

/bin/sh -c #(nop) ENV JAVA_HOME=/usr/java/openjdk-20

2022-08-30 21:08:04 UTC

/bin/sh -c #(nop) ENV PATH=/usr/java/openjdk-20/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2022-08-30 21:08:05 UTC

/bin/sh -c #(nop) ENV LANG=C.UTF-8

2022-09-02 00:42:39 UTC

/bin/sh -c #(nop) ENV JAVA_VERSION=20-ea+13

2022-09-02 00:42:54 UTC

/bin/sh -c set -eux; arch="$(objdump="$(command -v objdump)" && objdump --file-headers "$objdump" | awk -F '[:,]+[[:space:]]+' '$1 == "architecture" { print $2 }')"; case "$arch" in 'i386:x86-64') downloadUrl='https://download.java.net/java/early_access/jdk20/13/GPL/openjdk-20-ea+13_linux-x64_bin.tar.gz'; downloadSha256='93758735b85b0f9e8a98728ad636942bcf266476824286754fe6dbd2a2f6aeff'; ;; 'aarch64') downloadUrl='https://download.java.net/java/early_access/jdk20/13/GPL/openjdk-20-ea+13_linux-aarch64_bin.tar.gz'; downloadSha256='305cd60ab947992620abe377f9d1fe876c6a80db3fab369a8cb5517edbfc30be'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; rm -rf "$JAVA_HOME/lib/security/cacerts"; ln -sT /etc/pki/ca-trust/extracted/java/cacerts "$JAVA_HOME/lib/security/cacerts"; ln -sfT "$JAVA_HOME" /usr/java/default; ln -sfT "$JAVA_HOME" /usr/java/latest; for bin in "$JAVA_HOME/bin/"*; do base="$(basename "$bin")"; [ ! -e "/usr/bin/$base" ]; alternatives --install "/usr/bin/$base" "$base" "$bin" 20000; done; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version

2022-09-02 00:42:54 UTC

/bin/sh -c #(nop) CMD ["jshell"]

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete